<template>
    <button
        :style="{ 'max-width': size }"
        :class="[
            'btn btn-primary',
            `btn--${position}`,
            theme ? `btn-primary--${theme}` : ''
        ]"
        @click="$emit('click')"
    >
        {{ text }}
    </button>
</template>

<script>
export default {
    name: 'base-button',
    props: {
        text: {
            type: String,
            required: true
        },
        size: {
            type: String,
            default: '100%'
        },
        position: {
            type: String,
            default: 'left'
        },
        // save
        theme: {
            type: String,
            default: ''
        }
    }
};
</script>
